All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::Worker< TDatums > Class Template Referenceabstract

`#include <worker.hpp>`

Inherited by op::WCvMatToOpInput< TDatums >, op::WCvMatToOpOutput< TDatums >, op::WFaceDetector< TDatums >, op::WFaceDetectorOpenCV< TDatums >, op::WFaceExtractorNet< TDatums >, op::WFaceRenderer< TDatums >, op::WGuiInfoAdder< TDatums >, op::WHandDetector< TDatums >, op::WHandDetectorFromTxt< TDatums >, op::WHandDetectorTracking< TDatums >, op::WHandDetectorUpdate< TDatums >, op::WHandExtractorNet< TDatums >, op::WHandRenderer< TDatums >, op::WIdGenerator< TDatums >, op::WKeepTopNPeople< TDatums >, op::WKeypointScaler< TDatums >, op::WOpOutputToCvMat< TDatums >, op::WorkerConsumer< TDatums >, op::WorkerProducer< TDatums >, op::WPersonIdExtractor< TDatums >, op::WPoseExtractor< TDatums >, op::WPoseExtractorNet< TDatums >, op::WPoseRenderer< TDatums >, op::WPoseTriangulation< TDatums >, op::WQueueAssembler< TDatums, TDatumsNoPtr >, op::WQueueOrderer< TDatums >, and op::WScaleAndSizeExtractor< TDatums >.

## Public Member Functions

| Worker ()
virtual | ~Worker ()
virtual void | initializationOnThread ()=0
bool | checkAndWork (TDatums &tDatums)
bool | isRunning () const
void | stop ()
virtual void | tryStop ()

## Protected Member Functions

virtual void | work (TDatums &tDatums)=0

## Constructor & Destructor Documentation

template<typename TDatums >

op::Worker< TDatums >::Worker | ( |  | ) |

template<typename TDatums >

op::Worker< TDatums >::~Worker | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums >

bool op::Worker< TDatums >::checkAndWork | ( | TDatums & | tDatums | ) |

template<typename TDatums >

virtual void op::Worker< TDatums >::initializationOnThread | ( |  | ) |

pure virtual

Implemented in op::WQueueAssembler< TDatums, TDatumsNoPtr >, op::WDatumProducer< TDatums, TDatumsNoPtr >, op::WFaceSaver< TDatums >, op::WHandSaver< TDatums >, op::WPoseSaver< TDatums >, op::WGui3D< TDatums >, op::WIdGenerator< TDatums >, op::WQueueOrderer< TDatums >, op::WPoseTriangulation< TDatums >, op::WCvMatToOpInput< TDatums >, op::WCvMatToOpOutput< TDatums >, op::WKeepTopNPeople< TDatums >, op::WKeypointScaler< TDatums >, op::WOpOutputToCvMat< TDatums >, op::WScaleAndSizeExtractor< TDatums >, op::WFaceDetector< TDatums >, op::WFaceDetectorOpenCV< TDatums >, op::WFaceExtractorNet< TDatums >, op::WFaceRenderer< TDatums >, op::WCocoJsonSaver< TDatums >, op::WHeatMapSaver< TDatums >, op::WImageSaver< TDatums >, op::WPeopleJsonSaver< TDatums >, op::WUdpSender< TDatums >, op::WVideoSaver< TDatums >, op::WGui< TDatums >, op::WGuiInfoAdder< TDatums >, op::WHandDetector< TDatums >, op::WHandDetectorFromTxt< TDatums >, op::WHandDetectorTracking< TDatums >, op::WHandDetectorUpdate< TDatums >, op::WHandExtractorNet< TDatums >, op::WHandRenderer< TDatums >, op::WPoseExtractor< TDatums >, op::WPoseExtractorNet< TDatums >, op::WPoseRenderer< TDatums >, and op::WPersonIdExtractor< TDatums >.

template<typename TDatums >

bool op::Worker< TDatums >::isRunning | ( |  | ) | const

inline

template<typename TDatums >

void op::Worker< TDatums >::stop | ( |  | ) |

inline

template<typename TDatums >

virtual void op::Worker< TDatums >::tryStop | ( |  | ) |

inlinevirtual

Reimplemented in op::WQueueOrderer< TDatums >.

template<typename TDatums >

virtual void op::Worker< TDatums >::work | ( | TDatums & | tDatums | ) |

protectedpure virtual

Implemented in op::WQueueAssembler< TDatums, TDatumsNoPtr >, op::WIdGenerator< TDatums >, op::WQueueOrderer< TDatums >, op::WPoseTriangulation< TDatums >, op::WCvMatToOpInput< TDatums >, op::WCvMatToOpOutput< TDatums >, op::WKeepTopNPeople< TDatums >, op::WKeypointScaler< TDatums >, op::WOpOutputToCvMat< TDatums >, op::WScaleAndSizeExtractor< TDatums >, op::WFaceDetector< TDatums >, op::WFaceDetectorOpenCV< TDatums >, op::WFaceExtractorNet< TDatums >, op::WFaceRenderer< TDatums >, op::WGuiInfoAdder< TDatums >, op::WHandDetector< TDatums >, op::WHandDetectorFromTxt< TDatums >, op::WHandDetectorTracking< TDatums >, op::WHandDetectorUpdate< TDatums >, op::WHandExtractorNet< TDatums >, op::WHandRenderer< TDatums >, op::WPoseExtractor< TDatums >, op::WPoseExtractorNet< TDatums >, op::WPoseRenderer< TDatums >, op::WPersonIdExtractor< TDatums >, op::WorkerConsumer< TDatums >, and op::WorkerProducer< TDatums >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/worker.hpp